﻿/* weitere css files */
@import url('/_content/ITWRazorlib2026/css/itwdialogs.css');
@import url('/_content/ITWRazorlib2026/css/itwHtmlControls/itwhtmlGroupbox.css');
@import url('/_content/ITWRazorlib2026/css/itwHtmlControls/itwhtmlCalendar.css');

@import url('/_content/ITWRazorlib2026/css/itwcustomerdb/itwcustomerdb.css');
@import url('/_content/ITWRazorlib2026/css/3dscanning/styles.css');

@import url('/_content/ITWRazorlib2026/css/admanagement/itwadmanagement.css');

/* Standard: Light Mode */
:root {
    --itw-bg-color: rgb(255,255,255);
    --itw-bg-color-highlight: rgba(32,113,72,0.75);
    --itw-bg-color-highlight-transp-90: color-mix(in srgb, var(--itw-bg-color-highlight), transparent 90%);
    --itw-bg-color-highlight-transp-80: color-mix(in srgb, var(--itw-bg-color-highlight), transparent 80%);
    --itw-bg-color-highlight-transp-75: color-mix(in srgb, var(--itw-bg-color-highlight), transparent 75%);
    --itw-bg-color-highlight-transp-50: color-mix(in srgb, var(--itw-bg-color-highlight), transparent 50%);
    --itw-text-color: rgb(0,0,0);
    --itw-element-boxshadowlength: 5px;
    --itw-btn-textcolor: rgba(19,123,70,1);
    --itw-textcolor-danger: rgba(208,0,0,1);
    --itw-menu-bg-color: rgb(240, 240, 240);
    --bs-table-active-bg: var(--itw-bg-color-highlight-transp-50) !important;
    --bs-link-color: rgb(32, 113, 72) !important;
    --bs-pagination-active-bg: rgb(32,113,72) !important;
}
/*[data-bs-theme="light"] {*/
    /* Standard: Light Mode */
    /*:root {
        --itw-bg-color: rgb(255,255,255);
        --itw-text-color: rgb(0,0,0);
    }
}*/

[data-bs-theme="dark"] {
    /* Dark Mode */
    --itw-bg-color: rgb(0,0,0) !important;
    --itw-text-color: rgb(255,255,255) !important;
    --itw-element-boxshadowlength: 10px;
    --itw-btn-textcolor: rgba(95, 215, 154, 1);
    
    --itw-textcolor-danger: rgba(168,62,62,1);
    --itw-menu-bg-color: rgb(10, 10, 10) !important;

    --bs-link-color: rgb(47, 189, 116) !important;
    --bs-pagination-active-bg: rgb(32,113,72) !important;
}

body {
    background-color: var(--itw-bg-color);
    color: var(--itw-text-color);
    transition: all 0.3s ease-in-out;    
}

html {
    font-size: 1rem;
}
a {
    color: var(--bs-link-color);
    border-bottom: 1px solid transparent;
    transition: all 0.4s ease-in-out;
}

a:hover {
    border-bottom: 0.5px solid var(--itw-btn-textcolor);
}

.clickable:hover {
    cursor: pointer;
}

.itwpage {
    position: absolute;
    left: 50px;
    right: 0px;
    overflow: auto;
    min-width: calc(100% - 50px);
    max-width: calc(100% - 50px) !important;
    min-height: 100%;
    overflow: visible;
}

.itwpage-content {
    padding: 1rem 0.5rem;
    /*position: relative;*/
}

.itwheader {
    font-size: 1.75rem;
    letter-spacing: 2px;
    padding-bottom: 0.5rem;
}
.itwheader-small {
    font-size: 1.25rem;
    letter-spacing: 1.5px;
    padding-bottom: 0.5rem;
}
.itwtext {
    text-align: justify;
    padding-bottom: 1rem;
}


input {
    border-radius: 0 !important;
    transition: all 0.3s ease-in-out;
}
input[type=radio] {
    border-radius: 50% !important;
}
input[type=checkbox] {
    border-radius: 2.5rem !important;
    margin-right: 0.5rem;
}

input:hover {
    border-color: var(--itw-bg-color-highlight) !important;
}
input:focus {
    border-color: var(--itw-bg-color-highlight) !important;
    box-shadow: 0 0 15px var(--itw-element-boxshadowlength) var(--itw-bg-color-highlight-transp-50) !important;
}

textarea {
    border-radius: 0 !important;
    transition: all 0.3s ease-in-out;
}

textarea:hover {
    border-color: var(--itw-bg-color-highlight) !important;
}

textarea:focus {
    border-color: var(--itw-bg-color-highlight) !important;
    box-shadow: 0 0 15px var(--itw-element-boxshadowlength) var(--itw-bg-color-highlight-transp-50) !important;
}

.form-control-hint {
    font-size: 0.9rem;
    font-weight: lighter;
    padding-top: 5px;
    font-style: italic;
    color: darkgray;
}
.form-control-warning {
    font-size: 0.9rem;
    font-weight: lighter;
    padding-top: 5px;
    font-style: italic;
    color: orange;
}
.form-control.tobechecked {
    box-shadow: 0 0 4px 1px orange !important;
}
.form-control.isinvalid {
    box-shadow: 0 0 4px 1px red !important;
}

.form-control {
    background-color: var(--itw-bg-color);
}
.form-control:disabled {
    background-color: color-mix(in srgb, var(--bs-body-bg), var(--itw-text-color) 10.5%);
    border: none;
}

.itwinput-button {
    border: none;
    background-color: transparent;
    padding: 0.25rem 0.5rem;
    transition: all 0.4s ease-in-out;
    color: transparent;
    font-weight: lighter;
}
.input-group:has(input:disabled) .itwinput-button {
    background-color: transparent;
}
.input-group:hover .itwinput-button {
    color: var(--bs-body-color); 
    opacity: 1;
}
.itwinput-button:hover {
    color: var(--itw-bg-color-highlight) !important;
    opacity: 1;
}

.btn {
    border-radius: 0;
    background-color: var(--itw-bg-color);
    border-collapse: var(--itw-bg-color-highlight);
    transition: all 0.2s ease-in-out;
    color: var(--itw-text-color);
}

.btn-success {
    background-color: var(--itw-bg-color-highlight-transp-50);
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px);
}
.btn-success:hover {
    background-color: var(--itw-bg-color-highlight);
    box-shadow: 0 0 15px var(--itw-element-boxshadowlength) var(--itw-bg-color-highlight-transp-50);
}

.text-danger {
    color: var(--itw-textcolor-danger) !important;
}

.itwpage-bottom-menu {
    position: fixed;
    left: 50px;
    right: 0;
    bottom: 0;
    padding: 1rem 1rem 1rem;
    margin-top: 50px;
    background-color: var(--itw-menu-bg-color);
    border-top: 1px solid var(--itw-bg-color-highlight);
    z-index: 3;
}

thead {
    background-color: var(--itw-bg-color-highlight) !important;
    /*background-color: var(--itw-bg-color-highlight-transp-50) !important;*/
}

thead tr {
    background-color: transparent !important;
}
tr th {
    background-color: transparent !important;
}

.itwtable-stickyhead table {
    border-collapse: separate;
    border-spacing: 0;
    display: table;
}

.itwtable-stickyhead thead {
    transition: all 0.4s ease-in-out;
    position: -webkit-sticky;
    position: sticky;
    top: 0;
    z-index: 10;
}
.table-responsive{
    overflow: visible !important;
}
thead.is-sticky {
    background-color: var(--itw-bg-color-highlight) !important;
}
thead.is-sticky th {
    background-color: var(--itw-bg-color-highlight) !important;
    color: var(--itw-bg-color);
}

.itwtable-clickablerow .itwmodifybutton {
    opacity: 0;
}
.itwtable-clickablerow:hover {
    cursor: pointer;
}
.itwtable-clickablerow:hover .itwmodifybutton{
    opacity: 1;
}

/* eigene Styles DataTables */
.dt-search {
    display: flex;
    flex-wrap: nowrap;
    align-items: center;
}
.dt-search input {
    min-width: 400px;
}

/* Toast-Messages */
.itwtoast-container {
    position: fixed;
    bottom: 20px;
    left: 50%;
    transform: translateX(-50%);
    z-index: 9999;
}

.toast {
    min-width: 250px;
    background-color: #333;
    color: #fff;
    text-align: center;
    border-radius: 8px;
    padding: 16px;
    margin-top: 10px;
    box-shadow: 0 4px 6px rgba(0,0,0,0.2);
    opacity: 0;
    transition: opacity 0.5s ease-in-out, transform 0.5s ease-in-out;
    transform: translateY(20px);
    position: relative;
    overflow: hidden;
}
.toast-bar {
    position: absolute;
    left: 0;
    bottom: 0;
    height: 3px;
    background-color: aqua;
    transition: all 0.25s ease-in-out;
}

.toast.show {
    opacity: 1;
    transform: translateY(0);
}

.toast.success {
    background-color: #28a745;
}

.toast.error {
    background-color: #dc3545;
}

.itwdlg-subheader{
    border-bottom: 1px solid var(--itw-bg-color-highlight);
    padding-bottom: 0.5rem;
}


.itwflexcontainer-2cols {
    display: grid;
    grid-template-columns: 50% 50%;
    gap: 1rem;
    max-width: calc(100% - 1rem);
}
.itwflexcontainer-2cols.w1-2 {
    grid-template-columns: 30% 70%;
}

.itwflexcontainer-3cols {
    display: grid;
    grid-template-columns: 33% 33% 33%;
    gap: 1rem;
    max-width: calc(100% - 1rem);
}
.itwflexcontainer-4cols {
    display: grid;
    grid-template-columns: 25% auto auto auto;
    gap: 1rem;
    max-width: calc(100% - 1rem);
}

.itwwaiter {
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    text-align: center;
    vertical-align: middle;
    align-content: center;
    backdrop-filter: blur(1px) brightness(0.95);
    position: fixed;
    color: var(--itw-btn-textcolor);
}
.itwwaiter i {
    font-size: 8rem;
}
.itwwaiter p {
    margin: 2rem;
    padding: 0 2rem;
    font-size: 1.75rem;
}

.itwbutton {
    cursor: pointer;
    transition: all 0.4s ease-in-out;
    opacity: 0.75;
    color: var(--itw-btn-textcolor);
}
.itwbutton:hover{
    opacity: 1;
}


.itw-popovermenu {
    position: absolute;
    margin: 0;
    padding: 0.5rem 1rem;
    font-size: small;
    border: 1px solid var(--itw-btn-textcolor);
    border-radius: 5px;
    box-shadow: 0px 0px 10px 2px var(--itw-btn-textcolor);
}

.itwtooltip {
    background-color: var(--itw-bg-color);
    padding: 1.5rem 0.5rem 0.5rem;
    border: 1px solid var(--itw-bg-color-highlight);
    border-radius: 4px;
    min-width: 150px !important;
    min-height: 50px !important;
    position: fixed !important;
    opacity: 1 !important;
    text-align: left;
}
.itwtooltip .btn-close {
    position: absolute;
    right: 0.5rem;
    top: 0.5rem;
    transition: all 0.4s ease-in-out;
    cursor: pointer;
}


.dashboard-list {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 0.5rem;
    padding: 0.5rem 0.05rem;
}

.dashboard-list .entry {
    border: 1px solid var(--itw-bg-color-highlight-transp-50);
    transition: all 0.4s ease-in-out;
    background-color: transparent;
    position: relative;
}

.dashboard-list .entry:hover {
    background-color: var(--itw-bg-color-highlight-transp-90);
    box-shadow: 0 0 15px 5px var(--itw-bg-color-highlight-transp-90);
    /*cursor: pointer;*/
}

.dashboard-list .entry .title {
    font-weight: bold;
    font-size: 1rem;
    background-color: var(--itw-bg-color-highlight-transp-50);
    padding: 0.2rem 0.5rem;
    position: relative;
}
.dashboard-list .entry .title i {
    opacity: 0;
    transition: all 0.4s ease-in-out;
    color: var(--itw-btn-textcolor);
}
.dashboard-list .entry:hover .title i {
    opacity: 1;
}

.dashboard-list .entry .title .details {
    position: absolute;
    right: 0.5rem;
    top: 0.2rem;
    opacity: 0.7;
    transition: all 0.4s ease-in-out;
    color: var(--itw-btn-textcolor);
    font-weight: lighter;
}

.dashboard-list .entry .title .details:hover {
    cursor: pointer;
    opacity: 1;
}

.dashboard-list .entry .semivisible {
    opacity: 0.05;
    transition: all 0.4s ease-in-out;
}
.dashboard-list .entry:hover .semivisible {
    opacity: 0.75;
}
.semivisible:hover {
    opacity: 1 !important;
}

.dashboard-list .entry .content {
    padding: 0.2rem 0.5rem;
    min-height: 100px;
    font-size: small;
    transition: all 0.4s ease-in-out;
    margin-bottom: 0.2rem;
}
.dashboard-list .entry .content .description {
    font-style: italic;
    min-height: 50px;
}

.dashboard-list .entry .footer {
    min-width: 100%;
    min-height: 30px;
    margin-top: 0.25rem;
    padding: 0 0.5rem 0.5rem 0.5rem;
    /*position: absolute;*/
    display: grid;
    grid-template-columns: auto 50%;
}

.footer .footer-left {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 0.75rem;
    font-size: 1.2rem;
}

.footer .footer-right {
    text-align: right;
    padding-right: 0.5rem;
}

.footer .folder {
    font-size: 1.05rem;
    font-weight: lighter;
}


.itwloginstate-statustext {
    transition: all 0.4s ease-in-out;
    font-size: small;
    color: var(--itw-text-color);
    min-width: max-content;
}

.folder-icon {
    color: darkgoldenrod;
    transition: all 0.4s ease-in-out;
    opacity: 0.7;
    cursor: pointer;
}
.folder-icon:hover {
    opacity: 1;
}

.openproject-icon {
    opacity: 0.75;
    color: var(--itw-btn-textcolor);
    transition: all 0.4s ease-in-out;
    cursor: pointer;
}
.openproject-icon:hover {
    opacity: 1;
}


/* DataTables */
div.dt-processing {
    position: fixed !important;
    top: 50% !important;
    left: 50% !important;
    transform: translate(-50%, -50%);
    padding: 1rem;
    margin: unset !important;
}


@keyframes placeholder-glow {
    50% {
        opacity: 0.2;
    }
}

/*
    Die gängigen Standard-Breakpoints
    
    Gerätetyp               Breite (Breakpoint)         Beschreibung
    
    Mobile (Portrait)       < 600px                     Kleine bis große Smartphones.
    Tablets / Große Phones  600px                       Kleine Tablets oder sehr große Smartphones im Querformat.
    Tablets (Portrait)      768px                       Der klassische Tablet-Standard (z.B. iPad).
    Laptops / Desktops      992px                       Kleine Monitore oder Tablets im Querformat.
    Große Desktops          1200px                      Standard-Desktop-Monitore.
    Extra Große Monitore    1400px                      Wide-Screen Monitore und 4K-Displays.

*/
@media (max-width: 992px) { /* */
    .dashboard-list {
        grid-template-columns: repeat(3, 1fr);
    }
}

@media (max-width: 768px) { /* Tablets (Portrait) 768px Der klassische Tablet-Standard (z.B. iPad). */
    html {
        overflow: hidden;
        font-size: 1rem;
    }

    .itwpage {
        position: fixed;
        top: 51px;
        left: 0;
        right: 0;
        bottom: 51px;
        overflow: auto;
        padding: unset;
        min-width: 100%;
        max-width: 100% !important;
        min-height: calc(100% - 102px);
    }

    .itwpage-content {
        padding: 1rem 0.5rem;
    }

    .itwflexcontainer-2cols:not(.fix), .itwflexcontainer-3cols:not(.fix) {
        display: grid;
        grid-template-columns: 100%;
        max-width: 100%;
    }
    .itwflexcontainer-4cols:not(.fix) {
        display: grid;
        grid-template-columns: 50% 50%;
        max-width: 100%;
    }
    .itwflexcontainer-2cols:not(fix).w1-2 {
        grid-template-columns: 100%;
    }

    .dashboard-list {
        grid-template-columns: repeat(2, 1fr);
    }
}

@media (max-width: 500px) {
    .dashboard-list {
        grid-template-columns: repeat(1, 1fr);
    }
}

.itwpagemenu {
    position: absolute;
    right: 1rem;
    top: 1rem;
}

@-moz-keyframes fadeIn {
    0% {
        opacity: 0;
        visibility: hidden;
        display: none;
    }

    100% {
        opacity: 1;
        visibility: visible;
        display: block;
    }
}
@-moz-keyframes fadeOut {
    0% {
        opacity: 1;
        visibility: visible;
        display: none;
    }
    100% {
        opacity: 0;
        visibility: hidden;
        display: block;
    }
}
@-webkit-keyframes fadeIn {
    0% {
        opacity: 0;
        visibility: hidden;
        display: none;
    }

    100% {
        opacity: 1;
        visibility: visible;
        display: block;
    }
}

@-webkit-keyframes fadeOut {
    0% {
        opacity: 1;
        visibility: visible;
        display: block;
    }

    100% {
        opacity: 0;
        visibility: hidden;
        display: none;
    }
}
@-ms-keyframes fadeIn {
    0% {
        opacity: 0;
        visibility: hidden;
        display: none;
    }

    100% {
        opacity: 1;
        visibility: visible;
        display: block;
    }
}

@-ms-keyframes fadeOut {
    0% {
        opacity: 1;
        visibility: visible;
        display: block;
    }

    100% {
        opacity: 0;
        visibility: hidden;
        display: none;
    }
}